#include<stdio.h>

int main(){
 
   int N, i, j;
   
   scanf("%d", &N);
   
   if(N<=0){
     printf("-1\n");
      return 1;
   }
   
   for(i=N; i>0; i--){
     
     for(j=1; j<=N-i; j++)
      printf(" ");
     for(j=1; j<=i-1; j++)
      printf("*-");
     for(j=1; j<=1; j++)
      printf("*");

    printf("\n");
   }
     
  return 0;
}